
RotatePosition = {
	private ["_array1", "_array2", "_rotMatrix", "_relPos", "_newRelPos", "_newPos"];
	_newPos = _this select 0;
	_array2 = _this select 1;
	_d = _this select 2;
	_rotMatrix =[[cos _d, sin _d],[-(sin _d), cos _d]];
	_array1 = _rotMatrix;
	_newRelPos =
	[
	(((_array1 select 0) select 0) * (_array2 select 0)) + (((_array1 select 0) select 1) * (_array2 select 1)),
	(((_array1 select 1) select 0) * (_array2 select 0)) + (((_array1 select 1) select 1) * (_array2 select 1))
	];
	_newPos = [(_newPos select 0) + (_newRelPos select 0), (_newPos select 1) + (_newRelPos select 1)];
	_newPos
};

{
	_marker = _x;
	_position = getMarkerPos _marker;
	_px = _position select 0;
	_py = _position select 1;
	_size = getMarkerSize _marker;
	_width = _size select 0;
	_depth = _size select 1;
	_angle = markerDir _marker;
	_dist = 20;

	for "_w" from -_width to _width step _dist do {
		for "_h" from -_depth to _depth step _dist do {
			_newPos = [_position, [_w + (random _dist/2) - _dist/4, _h + (random _dist/2) - _dist/4], _angle] call RotatePosition;
			_sign = "Sign_Danger" createVehicleLocal _newPos;
			_sign setDir _angle;
		};
	};

	for "_w" from -_width to _width step 3 do {
		for "_h" from -_depth to _depth step 3 do {
			_newPos = [_position, [_w + (random _dist/2) - _dist/4, _h + (random _dist/2) - _dist/4], _angle] call RotatePosition;
			"Mine" createVehicleLocal [_newPos select 0, _newPos select 1, -0.07];
		};
	};

	_trigW = createTrigger ["EmptyDetector", _position];
	_trigW setTriggerActivation ["WEST", "PRESENT", true];
	_trigW setTriggerArea [_width, _depth, _angle, true];
	_trigW setTriggerStatements ["this", "call{[thisList] execVM ""scripts\cB_scripts\cB_MineExplode.sqf"";};", ""];
	_trigW setTriggerTimeout [0, 0.5, 1, true];

	_trigE = createTrigger ["EmptyDetector", _position];
	_trigE setTriggerActivation ["EAST", "PRESENT", true];
	_trigE setTriggerArea [_width, _depth, _angle, true];
	_trigE setTriggerStatements ["this", "call{[thisList] execVM ""scripts\cB_scripts\cB_MineExplode.sqf"";};", ""];
	_trigE setTriggerTimeout [0, 0.5, 1, true];

	_mrkr = format["mrkr%1", random 10000];
	createMarkerLocal [_mrkr, _position];
	_mrkr setMarkerTextLocal "Mines!";
	_mrkr setMarkerTypeLocal "hd_warning";
	_mrkr setMarkerColorLocal "ColorRed";
} forEach _this;