/**
 * Constantes pour rendre les dfinitions des botes de dialogue plus lisible et maintenable
 */

#define R3F_ARTY_ID_chef_batterie_START 65430

#define R3F_ARTY_IDD_dlg_clic_carte (R3F_ARTY_ID_chef_batterie_START + 1)
#define R3F_ARTY_IDC_dlg_clic_carte_carte (R3F_ARTY_ID_chef_batterie_START + 2)

#define R3F_ARTY_IDD_dlg_saisie_mission (R3F_ARTY_ID_chef_batterie_START + 3)

#define R3F_ARTY_IDC_dlg_SM_position_batterie_valeur_long (R3F_ARTY_ID_chef_batterie_START + 4)
#define R3F_ARTY_IDC_dlg_SM_position_batterie_valeur_lat (R3F_ARTY_ID_chef_batterie_START + 5)
#define R3F_ARTY_IDC_dlg_SM_position_batterie_valeur_alt (R3F_ARTY_ID_chef_batterie_START + 6)
#define R3F_ARTY_IDC_dlg_SM_position_batterie_btn_pos_joueur (R3F_ARTY_ID_chef_batterie_START + 7)
#define R3F_ARTY_IDC_dlg_SM_position_batterie_btn_clic_carte (R3F_ARTY_ID_chef_batterie_START + 8)

#define R3F_ARTY_IDC_dlg_SM_position_cible_valeur_long (R3F_ARTY_ID_chef_batterie_START + 9)
#define R3F_ARTY_IDC_dlg_SM_position_cible_valeur_lat (R3F_ARTY_ID_chef_batterie_START + 10)
#define R3F_ARTY_IDC_dlg_SM_position_cible_valeur_alt (R3F_ARTY_ID_chef_batterie_START + 11)
#define R3F_ARTY_IDC_dlg_SM_position_cible_btn_clic_carte (R3F_ARTY_ID_chef_batterie_START + 12)

#define R3F_ARTY_IDC_dlg_SM_correction_valeur_NS (R3F_ARTY_ID_chef_batterie_START + 13)
#define R3F_ARTY_IDC_dlg_SM_correction_valeur_OE (R3F_ARTY_ID_chef_batterie_START + 14)

#define R3F_ARTY_IDC_dlg_SM_info_tir_valeur_nb_tirs (R3F_ARTY_ID_chef_batterie_START + 15)
#define R3F_ARTY_IDC_dlg_SM_info_tir_valeur_munition (R3F_ARTY_ID_chef_batterie_START + 16)
#define R3F_ARTY_IDC_dlg_SM_info_tir_valeur_dispersion (R3F_ARTY_ID_chef_batterie_START + 17)

#define R3F_ARTY_IDC_dlg_SM_param_tir_valeur_distance (R3F_ARTY_ID_chef_batterie_START + 18)
#define R3F_ARTY_IDC_dlg_SM_param_tir_valeur_azimut (R3F_ARTY_ID_chef_batterie_START + 19)
#define R3F_ARTY_IDC_dlg_SM_param_tir_valeur_altitude (R3F_ARTY_ID_chef_batterie_START + 20)

#define R3F_ARTY_IDC_dlg_SM_tir_courbe_valeur_elevation (R3F_ARTY_ID_chef_batterie_START + 21)
#define R3F_ARTY_IDC_dlg_SM_tir_courbe_valeur_elevation2 (R3F_ARTY_ID_chef_batterie_START + 22)
#define R3F_ARTY_IDC_dlg_SM_tir_courbe_valeur_azimut (R3F_ARTY_ID_chef_batterie_START + 23)
#define R3F_ARTY_IDC_dlg_SM_tir_courbe_valeur_azimut2 (R3F_ARTY_ID_chef_batterie_START + 24)
#define R3F_ARTY_IDC_dlg_SM_tir_courbe_valeur_temps_vol (R3F_ARTY_ID_chef_batterie_START + 25)

#define R3F_ARTY_IDC_dlg_SM_tir_tendu_valeur_elevation (R3F_ARTY_ID_chef_batterie_START + 26)
#define R3F_ARTY_IDC_dlg_SM_tir_tendu_valeur_elevation2 (R3F_ARTY_ID_chef_batterie_START + 27)
#define R3F_ARTY_IDC_dlg_SM_tir_tendu_valeur_azimut (R3F_ARTY_ID_chef_batterie_START + 28)
#define R3F_ARTY_IDC_dlg_SM_tir_tendu_valeur_azimut2 (R3F_ARTY_ID_chef_batterie_START + 29)
#define R3F_ARTY_IDC_dlg_SM_tir_tendu_valeur_temps_vol (R3F_ARTY_ID_chef_batterie_START + 30)

#define R3F_ARTY_IDC_dlg_SM_artilleurs_liste (R3F_ARTY_ID_chef_batterie_START + 31)

// Control types
#define CT_STATIC           0
#define CT_BUTTON           1
#define CT_EDIT             2
#define CT_SLIDER           3
#define CT_COMBO            4
#define CT_LISTBOX          5
#define CT_TOOLBOX          6
#define CT_CHECKBOXES       7
#define CT_PROGRESS         8
#define CT_HTML             9
#define CT_STATIC_SKEW      10
#define CT_ACTIVETEXT       11
#define CT_TREE             12
#define CT_STRUCTURED_TEXT  13
#define CT_CONTEXT_MENU     14
#define CT_CONTROLS_GROUP   15
#define CT_SHORTCUT_BUTTON  16 // Arma 2 - textured button

#define CT_XKEYDESC         40
#define CT_XBUTTON          41
#define CT_XLISTBOX         42
#define CT_XSLIDER          43
#define CT_XCOMBO           44
#define CT_ANIMATED_TEXTURE 45
#define CT_OBJECT           80
#define CT_OBJECT_ZOOM      81
#define CT_OBJECT_CONTAINER 82
#define CT_OBJECT_CONT_ANIM 83
#define CT_LINEBREAK        98
#define CT_USER             99
#define CT_MAP              100
#define CT_MAP_MAIN         101
#define CT_List_N_Box       102 // Arma 2 - N columns list box

// Static styles
#define ST_POS            0x0F
#define ST_HPOS           0x03
#define ST_VPOS           0x0C
#define ST_LEFT           0x00
#define ST_RIGHT          0x01
#define ST_CENTER         0x02
#define ST_DOWN           0x04
#define ST_UP             0x08
#define ST_VCENTER        0x0c

#define ST_TYPE           0xF0
#define ST_SINGLE         0
#define ST_MULTI          16
#define ST_TITLE_BAR      32
#define ST_PICTURE        48
#define ST_FRAME          64
#define ST_BACKGROUND     80
#define ST_GROUP_BOX      96
#define ST_GROUP_BOX2     112
#define ST_HUD_BACKGROUND 128
#define ST_TILE_PICTURE   144
#define ST_WITH_RECT      160
#define ST_LINE           176

#define ST_SHADOW         0x100
#define ST_NO_RECT        0x200
#define ST_KEEP_ASPECT_RATIO  0x800

#define ST_TITLE          ST_TITLE_BAR + ST_CENTER

// Slider styles
#define SL_DIR            0x400
#define SL_VERT           0
#define SL_HORZ           0x400

#define SL_TEXTURES       0x10

// Listbox styles
#define LB_TEXTURES       0x10
#define LB_MULTI          0x20